/**
 *
 * Copyright (C) 2013 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/
#ifndef AND_H
#define AND_H
#include "Operator.h"
#include "Intersections.h"
#include "Vector.h"

#include <string>

/**
 * class And
 * 
 */

class And : public Operator
{
 public:
  Vector test;
  And ( ) {}
  
  ~And ( ) { delete n1; delete n2; }

  And (const Node* , const Node* );
  And (const And& );

  int Inside (const Vector& p ) const;
  int Inside (const Node&) const;
  int Intersect(const Ray&, Intersections&) const;


 protected:


 private:



};

#endif // AND_H
