/**
 *
 * Copyright (C) 2013 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/#ifndef TRANSFORMATION_H
#define TRANSFORMATION_H

#include "Vector.h"
#include "Parameters.h"
#include "Node.h"
#include "Intersections.h"
#include "Ray.h"

class Transformation : public Node
{ 
 protected:
  Node *n;

 public:
  Transformation(){}
  Transformation(const Parameters& , const Node* );
  ~Transformation(){}
}; 

#endif //TRANSFORMATION_H











