/**
 *
 * Copyright (C) 2013 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/
#include "Operator.h"

// Constructors/Destructors
//  

Operator::Operator ( ) {

}


Operator::Operator (const Node* n1, const Node* n2 ) : Node(){
  Operator::n1 = n1;
  Operator::n2 = n2;
}

Operator::Operator (const Operator& o ) : Node(){
  Operator::n1 = o.n1;
  Operator::n2 = o.n2;
}

Operator::~Operator ( ) { 
    delete n1;
    delete n2;
}


//  
// Methods
//  


// Accessor methods
//  


// Other methods
//  


